Bug 1320597 - rhel-x86_64-server-hpn-fastrack-6 channel maps are absent from channel-cert-mapping.txt
Summary: rhel-x86_64-server-hpn-fastrack-6 channel maps are absent from channel-cert-m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 15:24 UTC by John Sefler
Modified: 2018-03-28 18:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1561724 (view as bug list)
Environment:
Last Closed: 2017-03-21 10:54:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1561724 None None None Never
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1561724

Description John Sefler 2016-03-23 15:24:47 UTC
Description of problem:

RHN Classic channel 'rhel-x86_64-server-hpn-fastrack-6' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-hpn-fastrack-6-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.27-1.el6.noarch

How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# egrep "rhel-.+-server-hpn-fastrack-6" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-ppc64-server-hpn-fastrack-6: Server-HPN-ppc64-40959b701a95-173.pem
rhel-ppc64-server-hpn-fastrack-6-debuginfo: Server-HPN-ppc64-40959b701a95-173.pem


Actual results:
  above

Expected results:
  also expected the grep to find channel maps for:
rhel-x86_64-server-hpn-fastrack-6
rhel-x86_64-server-hpn-fastrack-6-debuginfo

Additional info:
Before this bug can be fixed in subscription-manager-migration-data, an upstream fix to http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json must be done by Release Engineering.

Comment 3 John Sefler 2017-01-16 19:52:00 UTC
This is still a bug in version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data 
subscription-manager-migration-data-2.0.32-1.el6.noarch
[root@jsefler-rhel6 ~]# egrep "rhel-.+-server-hpn-fastrack-6" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-ppc64-server-hpn-fastrack-6: Server-HPN-ppc64-40959b701a95-173.pem
rhel-ppc64-server-hpn-fastrack-6-debuginfo: Server-HPN-ppc64-40959b701a95-173.pem
[root@jsefler-rhel6 ~]# 

However, satellite-sync shows that these are empty channels....
[root@rhsm-sat5 ~]# satellite-sync --list-channels > allchannels.txt
[root@rhsm-sat5 ~]# egrep "rhel-.+-server-hpn-fastrack-6" allchannels.txt
12:24:44       p rhel-ppc64-server-hpn-fastrack-6            0 
12:24:44       p rhel-ppc64-server-hpn-fastrack-6-debuginfo    0 
12:24:47       p rhel-x86_64-server-hpn-fastrack-6           0 
12:24:47       p rhel-x86_64-server-hpn-fastrack-6-debuginfo    0 
[root@rhsm-sat5 ~]# 


NEEDINFO

Comment 4 John Sefler 2017-02-13 17:41:38 UTC
Re-testing version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch
[root@jsefler-rhel6 ~]# egrep "rhel-.+-server-hpn-fastrack-6" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-ppc64-server-hpn-fastrack-6: Server-HPN-ppc64-a13316638842-173.pem
rhel-ppc64-server-hpn-fastrack-6-debuginfo: Server-HPN-ppc64-a13316638842-173.pem
rhel-x86_64-server-hpn-fastrack-6: Server-HPN-x86_64-1a212270d985-132.pem
rhel-x86_64-server-hpn-fastrack-6-debuginfo: Server-HPN-x86_64-1a212270d985-132.pem
[root@jsefler-rhel6 ~]# 

VERIFIED: The rhn channel to product cert maps for x86_64 are now included.

Comment 6 John Sefler 2017-02-16 19:10:59 UTC
Verifying Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.34-1.el6.noarch

[root@jsefler-rhel6 ~]# egrep "rhel-.+-server-hpn-fastrack-6" /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-ppc64-server-hpn-fastrack-6: Server-HPN-ppc64-a13316638842-173.pem
rhel-ppc64-server-hpn-fastrack-6-debuginfo: Server-HPN-ppc64-a13316638842-173.pem
rhel-x86_64-server-hpn-fastrack-6: Server-HPN-x86_64-1a212270d985-132.pem
rhel-x86_64-server-hpn-fastrack-6-debuginfo: Server-HPN-x86_64-1a212270d985-132.pem
[root@jsefler-rhel6 ~]# 

VERIFIED: The rhn channel to product cert maps for x86_64 (as well as ppc64) are now included.

Comment 8 errata-xmlrpc 2017-03-21 10:54:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.